SignatureProperties (Java Platform SE 8 )
Keywords: javax.xml.crypto.dsig.SignatureProperties interface
Date: 2016-12-09

compact3
javax.xml.crypto.dsig

## Interface SignatureProperties

- All Superinterfaces:
    XMLStructure

      public interface SignatureProperties
      extends XMLStructure

  A representation of the XML `SignatureProperties` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

      <element name="SignatureProperties" type="ds:SignaturePropertiesType"/>
         <complexType name="SignaturePropertiesType">
           <sequence>
             <element ref="ds:SignatureProperty" maxOccurs="unbounded"/>
           </sequence>
           <attribute name="Id" type="ID" use="optional"/>
         </complexType>

  A `SignatureProperties` instance may be created by invoking the `newSignatureProperties` method of the `XMLSignatureFactory` class; for example:

         XMLSignatureFactory factory = XMLSignatureFactory.getInstance("DOM");
         SignatureProperties properties =
            factory.newSignatureProperties(props, "signature-properties-1");

  Since:
    1.6
  See Also:
    `XMLSignatureFactory.newSignatureProperties(List, String)`, `SignatureProperty`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TYPE` URI that identifies the `SignatureProperties` element (this can be specified as the value of the `type` parameter of the `Reference` class to identify the referent's type).

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Returns the Id of this `SignatureProperties`.
    `List` | `getProperties()` Returns an `unmodifiable list` of one or more `SignatureProperty`s that are contained in this `SignatureProperties`.

    - ### Methods inherited from interface javax.xml.crypto.XMLStructure

      `isFeatureSupported`

- - ### Field Detail

    - #### TYPE

          static final String TYPE

      URI that identifies the `SignatureProperties` element (this can be specified as the value of the `type` parameter of the `Reference` class to identify the referent's type).
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getId

          String getId()

      Returns the Id of this `SignatureProperties`.
      Returns:
        the Id of this `SignatureProperties` (or `null` if not specified)

    - #### getProperties

          List getProperties()

      Returns an `unmodifiable list` of one or more `SignatureProperty`s that are contained in this `SignatureProperties`.
      Returns:
        an unmodifiable list of one or more `SignatureProperty`s

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.